/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.account.role;

import com.liferay.account.constants.AccountConstants;
import com.liferay.petra.lang.CentralizedThreadLocal;
import com.liferay.petra.lang.SafeCloseable;

/**
 * @author Drew Brokke
 */
public class AccountRolePermissionThreadLocal {

	public static long getAccountEntryId() {
		return _accountEntryId.get();
	}

	public static void setAccountEntryId(long accountEntryId) {
		_accountEntryId.set(accountEntryId);
	}

	public static SafeCloseable setWithSafeCloseable(long accountEntryId) {
		return _accountEntryId.setWithSafeCloseable(accountEntryId);
	}

	private static final CentralizedThreadLocal<Long> _accountEntryId =
		new CentralizedThreadLocal<>(
			AccountRolePermissionThreadLocal.class + "._accountEntryId",
			() -> AccountConstants.ACCOUNT_ENTRY_ID_DEFAULT);

}